<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sat Jun 11 22:07:23 CEST 2022 -->
<title>Joueur</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-11">
<meta name="description" content="declaration: module: ihm.javafx, package: back.joueur, class: Joueur">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../module-summary.html">Module</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="module-label-in-type">Module</span>&nbsp;<a href="../../module-summary.html">ihm.javafx</a></div>
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">back.joueur</a></div>
<h1 title="Class Joueur" class="title">Class Joueur</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">back.joueur.Joueur</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Joueur</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">Classe representant un joueur de la partie.
  Le joueur possede un plusieurs carte (jeu), il peut durant son tour de jeu effectue une action :
 - poser une carte : si la coup est illegal, le joueur est puni et son tour finit.
 - piocher une carte : le joueur pioche une carte du tas et peut la poser s'il le souhaite.
 Si le joueur possede une carte et est le joueur courant il peut dire Uno, (il est puni dans le cas
 ou il oublie de le dire).</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(java.lang.String)" class="member-name-link">Joueur</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nom)</code></div>
<div class="col-last even-row-color">
<div class="block">Constructeur d'un joueur.</div>
</div>
<div class="col-constructor-name odd-row-color"><code><a href="#%3Cinit%3E(java.lang.String,boolean)" class="member-name-link">Joueur</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nom,
 boolean&nbsp;tourDeJeu)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#ajouter(back.carte.Carte)" class="member-name-link">ajouter</a><wbr>(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Ajoute une carte dans le jeu d'un joueur.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#direUno()" class="member-name-link">direUno</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Le joueur dit Uno.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#encaisserAttaque()" class="member-name-link">encaisserAttaque</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Le joueur pioche @getCarteAPiocher suite Ã  une attaque et finit
 son tour automatiquement.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#encaisserAttaquePlus4()" class="member-name-link">encaisserAttaquePlus4</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#equals(java.lang.Object)" class="member-name-link">equals</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;o)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Deux joueurs sont egaux s'ils ont le meme nom.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#finDeTour()" class="member-name-link">finDeTour</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Le joueur finit son tour.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#finDeTourAutomatique()" class="member-name-link">finDeTourAutomatique</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Le joueur finit son tour suite a une attaque.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getCarteAPiocher()" class="member-name-link">getCarteAPiocher</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../carte/Carte.html" title="class in back.carte">Carte</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getCarteDuJeu(int)" class="member-name-link">getCarteDuJeu</a><wbr>(int&nbsp;indice)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getJeu()" class="member-name-link">getJeu</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>javafx.scene.control.Label</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getLabel()" class="member-name-link">getLabel</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getNom()" class="member-name-link">getNom</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getNombreCarte()" class="member-name-link">getNombreCarte</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isActionEffectue()" class="member-name-link">isActionEffectue</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isaPioche()" class="member-name-link">isaPioche</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isAttaque()" class="member-name-link">isAttaque</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isTourDeJeu()" class="member-name-link">isTourDeJeu</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isUno()" class="member-name-link">isUno</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#newLabel()" class="member-name-link">newLabel</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#pioche()" class="member-name-link">pioche</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Le joueur pioche une carte dans la pioche de la partie.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#piochePunition()" class="member-name-link">piochePunition</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Methode appelee lorsque le joueur a une punition suite a un non respect
 des regles, par ce fait les controles de la mÃ©thode @pioche ne sont pas appliquees.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#poser(back.carte.Carte)" class="member-name-link">poser</a><wbr>(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Dans un premier temps, on effectue des tests pour savoir si le joueur a le droit de jouer
 s'il n'a pas le droit une exception est lancee et le joueur sera puni</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#poser(back.carte.Carte,back.carte.Couleur)" class="member-name-link">poser</a><wbr>(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte,
 <a href="../carte/Couleur.html" title="enum class in back.carte">Couleur</a>&nbsp;couleur)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Dans un premier temps, on effectue des tests pour savoir si le joueur a le droit de jouer
 s'il n'a pas le droit une exception est lancÃ©e et le joueur sera puni</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#resetCarteAPiocher()" class="member-name-link">resetCarteAPiocher</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setActionEffectue(boolean)" class="member-name-link">setActionEffectue</a><wbr>(boolean&nbsp;action)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setaPioche(boolean)" class="member-name-link">setaPioche</a><wbr>(boolean&nbsp;aPioche)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setCarteAPiocher(int)" class="member-name-link">setCarteAPiocher</a><wbr>(int&nbsp;carteAPiocher)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setNom(java.lang.String)" class="member-name-link">setNom</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nom)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setTourDeJeu(boolean)" class="member-name-link">setTourDeJeu</a><wbr>(boolean&nbsp;tourDeJeu)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toString()" class="member-name-link">toString</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String)">
<h3>Joueur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Joueur</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nom)</span></div>
<div class="block">Constructeur d'un joueur.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>nom</code> - le nom d'un joueur.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,boolean)">
<h3>Joueur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Joueur</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nom,
 boolean&nbsp;tourDeJeu)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="setTourDeJeu(boolean)">
<h3>setTourDeJeu</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setTourDeJeu</span><wbr><span class="parameters">(boolean&nbsp;tourDeJeu)</span></div>
</section>
</li>
<li>
<section class="detail" id="setNom(java.lang.String)">
<h3>setNom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setNom</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;nom)</span></div>
</section>
</li>
<li>
<section class="detail" id="setActionEffectue(boolean)">
<h3>setActionEffectue</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setActionEffectue</span><wbr><span class="parameters">(boolean&nbsp;action)</span></div>
</section>
</li>
<li>
<section class="detail" id="setCarteAPiocher(int)">
<h3>setCarteAPiocher</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setCarteAPiocher</span><wbr><span class="parameters">(int&nbsp;carteAPiocher)</span></div>
</section>
</li>
<li>
<section class="detail" id="resetCarteAPiocher()">
<h3>resetCarteAPiocher</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">resetCarteAPiocher</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setaPioche(boolean)">
<h3>setaPioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setaPioche</span><wbr><span class="parameters">(boolean&nbsp;aPioche)</span></div>
</section>
</li>
<li>
<section class="detail" id="direUno()">
<h3>direUno</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">direUno</span>()
             throws <span class="exceptions"><a href="../exception/UnoException.html" title="class in back.exception">UnoException</a></span></div>
<div class="block">Le joueur dit Uno.</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="../exception/UnoException.html" title="class in back.exception">UnoException</a></code> - est lancÃ©e si le joueur a plus d'une carte
 ou si ce n'est pas son tour de jeu.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="newLabel()">
<h3>newLabel</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">newLabel</span>()</div>
</section>
</li>
<li>
<section class="detail" id="isUno()">
<h3>isUno</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isUno</span>()</div>
</section>
</li>
<li>
<section class="detail" id="isActionEffectue()">
<h3>isActionEffectue</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isActionEffectue</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNom()">
<h3>getNom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getNom</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getJeu()">
<h3>getJeu</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&gt;</span>&nbsp;<span class="element-name">getJeu</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getCarteDuJeu(int)">
<h3>getCarteDuJeu</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../carte/Carte.html" title="class in back.carte">Carte</a></span>&nbsp;<span class="element-name">getCarteDuJeu</span><wbr><span class="parameters">(int&nbsp;indice)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNombreCarte()">
<h3>getNombreCarte</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getNombreCarte</span>()</div>
</section>
</li>
<li>
<section class="detail" id="isTourDeJeu()">
<h3>isTourDeJeu</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isTourDeJeu</span>()</div>
</section>
</li>
<li>
<section class="detail" id="isaPioche()">
<h3>isaPioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isaPioche</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getCarteAPiocher()">
<h3>getCarteAPiocher</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getCarteAPiocher</span>()</div>
</section>
</li>
<li>
<section class="detail" id="isAttaque()">
<h3>isAttaque</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isAttaque</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getLabel()">
<h3>getLabel</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">javafx.scene.control.Label</span>&nbsp;<span class="element-name">getLabel</span>()</div>
</section>
</li>
<li>
<section class="detail" id="equals(java.lang.Object)">
<h3>equals</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">equals</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;o)</span></div>
<div class="block">Deux joueurs sont egaux s'ils ont le meme nom.</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="ajouter(back.carte.Carte)">
<h3>ajouter</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">ajouter</span><wbr><span class="parameters">(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</span></div>
<div class="block">Ajoute une carte dans le jeu d'un joueur.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>carte</code> - La carte ajoutee.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="pioche()">
<h3>pioche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">pioche</span>()
            throws <span class="exceptions"><a href="../exception/TourException.html" title="class in back.exception">TourException</a></span></div>
<div class="block">Le joueur pioche une carte dans la pioche de la partie.
 Cette carte est ajoutee au jeu du joueur en appelant la methode @ajouter.
 Le fait de piocher est considere comme une action.
 Si le joueur avait dit Uno, le champ Uno devient faux.</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="../exception/TourException.html" title="class in back.exception">TourException</a></code> - est envoyee si le joueur a deja effectuee une action
 ou si ce n'est pas son tour de jeu.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="piochePunition()">
<h3>piochePunition</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">piochePunition</span>()</div>
<div class="block">Methode appelee lorsque le joueur a une punition suite a un non respect
 des regles, par ce fait les controles de la mÃ©thode @pioche ne sont pas appliquees.</div>
</section>
</li>
<li>
<section class="detail" id="poser(back.carte.Carte)">
<h3>poser</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">poser</span><wbr><span class="parameters">(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte)</span>
           throws <span class="exceptions"><a href="../exception/TourException.html" title="class in back.exception">TourException</a>,
<a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></span></div>
<div class="block">Dans un premier temps, on effectue des tests pour savoir si le joueur a le droit de jouer
 s'il n'a pas le droit une exception est lancee et le joueur sera puni.
 - Le joueur est le joueur courant.
 - Si le joueur a pioche il a le droit de poser uniquement cette carte.
 - Si le joueur n'a pas deja effectue une action.
 - Si le joueur est attaque il a le droit de poser uniquement une carte punition.

 Le joueur pose une carte sur le sommet du tas de la partie, on verifie la legalite du coup
 en appelant la methode @traiter de la classe Regles.
 Le fait de poser est considere comme une action.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>carte</code> - La carte posee.</dd>
<dt>Throws:</dt>
<dd><code><a href="../exception/TourException.html" title="class in back.exception">TourException</a></code> - est lancee si le joueur a deja effectue une action ou si ce n'est pas
 son tour de jeu.</dd>
<dd><code><a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></code> - est lancee si le joueur joue un coup interdit ou si le joueur a pioche une carte
 et pose une carte differente de celle-ci.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="poser(back.carte.Carte,back.carte.Couleur)">
<h3>poser</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">poser</span><wbr><span class="parameters">(<a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carte,
 <a href="../carte/Couleur.html" title="enum class in back.carte">Couleur</a>&nbsp;couleur)</span>
           throws <span class="exceptions"><a href="../exception/TourException.html" title="class in back.exception">TourException</a>,
<a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></span></div>
<div class="block">Dans un premier temps, on effectue des tests pour savoir si le joueur a le droit de jouer
 s'il n'a pas le droit une exception est lancÃ©e et le joueur sera puni.
 - Le joueur est le joueur courant.
 - Si le joueur a pioche il a le droit de poser uniquement cette carte.
 - Si le joueur n'a pas deja effectue une action.
 - Si le joueur est attaque il a le droit de poser uniquement une carte punition.

 Le joueur pose une carte Joker sur le sommet du tas de la partie.
 Le fait de poser est considere comme une action.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>carte</code> - La carte posee.</dd>
<dd><code>couleur</code> - La couleur choisie par le joueur.</dd>
<dt>Throws:</dt>
<dd><code><a href="../exception/TourException.html" title="class in back.exception">TourException</a></code> - est lancee si le joueur a deja effectue une action ou si ce n'est pas
 son tour de jeu.</dd>
<dd><code><a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></code> - est lancee si le joueur joue un coup interdit ou si le joueur a pioche une carte
 et pose une carte differente de celle-ci.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="encaisserAttaque()">
<h3>encaisserAttaque</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">encaisserAttaque</span>()</div>
<div class="block">Le joueur pioche @getCarteAPiocher suite Ã  une attaque et finit
 son tour automatiquement.</div>
</section>
</li>
<li>
<section class="detail" id="encaisserAttaquePlus4()">
<h3>encaisserAttaquePlus4</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">encaisserAttaquePlus4</span>()</div>
</section>
</li>
<li>
<section class="detail" id="finDeTour()">
<h3>finDeTour</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">finDeTour</span>()
               throws <span class="exceptions"><a href="../exception/UnoException.html" title="class in back.exception">UnoException</a>,
<a href="../exception/TourException.html" title="class in back.exception">TourException</a></span></div>
<div class="block">Le joueur finit son tour.</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="../exception/UnoException.html" title="class in back.exception">UnoException</a></code> - est lancee si le joueur possede une seule carte et oublie de dire uno.</dd>
<dd><code><a href="../exception/TourException.html" title="class in back.exception">TourException</a></code> - est lancee si le joueur n'est pas le joueur courant ou s'il n'a pas effectue
 d'action durant son tour.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="finDeTourAutomatique()">
<h3>finDeTourAutomatique</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">finDeTourAutomatique</span>()</div>
<div class="block">Le joueur finit son tour suite a une attaque.</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
